summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2012-02-19 22:39:39 +0100
committer Robby Workman2012-02-20 19:20:47 +0100
commit451ef70d7760290492beb6469894fc46b886ab01 (patch)
tree9eda3ced821084bc7f993654b0ee9ee36fbd57bd
parentb3c8ac4b4fc631a0b982b4b478a38d5727aecec2 (diff)
downloadslackbuilds-451ef70d7760290492beb6469894fc46b886ab01.tar.gz
games/marathon-data: Added (game data for use with Aleph One)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--games/marathon-data/README10
-rw-r--r--games/marathon-data/doinst.sh3
-rw-r--r--games/marathon-data/marathon6
-rw-r--r--games/marathon-data/marathon-data.SlackBuild60
-rw-r--r--games/marathon-data/marathon-data.info10
-rw-r--r--games/marathon-data/marathon.desktop7
-rw-r--r--games/marathon-data/slack-desc19
7 files changed, 115 insertions, 0 deletions
diff --git a/games/marathon-data/README b/games/marathon-data/README
new file mode 100644
index 0000000000..8d759634f2
--- /dev/null
+++ b/games/marathon-data/README
@@ -0,0 +1,10 @@
+marathon-data (game data for use with alephone package)
+
+Marathon is a fight for survival against the Pfhor, an alien race
+attacking your colony ship. This fan-made conversion known as M1A1
+brings the start of the Marathon trilogy to Aleph One.
+
+Included in the package is a shell script wrapper. Type "marathon"
+or select Marathon from the KDE or XFCE "Games" menu.
+
+This requires alephone.
diff --git a/games/marathon-data/doinst.sh b/games/marathon-data/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/marathon-data/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/marathon-data/marathon b/games/marathon-data/marathon
new file mode 100644
index 0000000000..2fc64670c3
--- /dev/null
+++ b/games/marathon-data/marathon
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ALEPHONE_DATA="/usr/share/AlephOne/gamedata/Marathon (A1)/"
+export ALEPHONE_DATA
+
+exec alephone "$@"
diff --git a/games/marathon-data/marathon-data.SlackBuild b/games/marathon-data/marathon-data.SlackBuild
new file mode 100644
index 0000000000..4bd3dd0287
--- /dev/null
+++ b/games/marathon-data/marathon-data.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for marathon-data
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=marathon-data
+VERSION=${VERSION:-20111201}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+ZIPNAME="Marathon (A1)"
+ZIPFILE=Marathon-$VERSION-Data.zip
+WRAPPER=$( echo $PRGNAM | cut -d- -f1 )
+DATADIR=$PKG/usr/share/AlephOne/gamedata
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $DATADIR
+unzip $CWD/$ZIPFILE -d $DATADIR
+chown -R root:root $DATADIR
+
+# NB: the usual find predicate is different (zipfile stores +x permissions
+# on some files for no good reason)
+find $DATADIR \
+ \( -type f -a -perm +0100 \) \
+ -exec chmod 644 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $DATADIR/"$ZIPNAME"/*.html $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/bin
+cat $CWD/$WRAPPER > $PKG/usr/bin/$WRAPPER
+chmod 0755 $PKG/usr/bin/$WRAPPER
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$WRAPPER.desktop > $PKG/usr/share/applications/$WRAPPER.desktop
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/marathon-data/marathon-data.info b/games/marathon-data/marathon-data.info
new file mode 100644
index 0000000000..ea9417a92a
--- /dev/null
+++ b/games/marathon-data/marathon-data.info
@@ -0,0 +1,10 @@
+PRGNAM="marathon-data"
+VERSION="20111201"
+HOMEPAGE="http://marathon.sourceforge.net/"
+DOWNLOAD="http://files3.bungie.org/trilogy/Marathon-20111201-Data.zip"
+MD5SUM="f0bb9b341e00adbfd3ed03fa266694d7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/marathon-data/marathon.desktop b/games/marathon-data/marathon.desktop
new file mode 100644
index 0000000000..55d52013b9
--- /dev/null
+++ b/games/marathon-data/marathon.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Marathon
+Exec=marathon
+Icon=alephone
+Type=Application
+Comment=Marathon (first-person shooter game)
+Categories=Game;ActionGame;
diff --git a/games/marathon-data/slack-desc b/games/marathon-data/slack-desc
new file mode 100644
index 0000000000..7c7b2d84da
--- /dev/null
+++ b/games/marathon-data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+marathon-data: marathon-data (game data for use with alephone package)
+marathon-data:
+marathon-data: Marathon is a fight for survival against the Pfhor, an alien race
+marathon-data: attacking your colony ship. This fan-made conversion known as M1A1
+marathon-data: brings the start of the Marathon trilogy to Aleph One.
+marathon-data:
+marathon-data:
+marathon-data:
+marathon-data:
+marathon-data:
+marathon-data: